summaryrefslogtreecommitdiff
path: root/gnu/usr.bin/gcc/contrib/convert_to_f2c
diff options
context:
space:
mode:
Diffstat (limited to 'gnu/usr.bin/gcc/contrib/convert_to_f2c')
-rwxr-xr-xgnu/usr.bin/gcc/contrib/convert_to_f2c48
1 files changed, 48 insertions, 0 deletions
diff --git a/gnu/usr.bin/gcc/contrib/convert_to_f2c b/gnu/usr.bin/gcc/contrib/convert_to_f2c
new file mode 100755
index 00000000000..9a499fcf14c
--- /dev/null
+++ b/gnu/usr.bin/gcc/contrib/convert_to_f2c
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+# convert_to_f2c [g2c-dir]
+#
+# Renames certain files in a g2c (libg2c) directory so they no longer have the
+# `.netlib' suffix, a la netlib's f2c distribution. If `g2c-dir' is not
+# specified, `g2c-YYYYMMDD' is the default, where YYYYMMDD is the current
+# date. The directory is renamed such that the first `g' becomes an `f',
+# usually `g2c-YYYYMMDD' -> `f2c-YYYYMMDD'.
+#
+# (C) 1999 Free Software Foundation
+# Originally by James Craig Burley <craig@jcb-sc.com>, September 1999.
+#
+# This script is Free Software, and it can be copied, distributed and
+# modified as defined in the GNU General Public License. A copy of
+# its license can be downloaded from http://www.gnu.org/copyleft/gpl.html
+
+set -e
+
+if [ x$1 = x ]
+then
+ dir=g2c-`date +%Y%m%d`
+else
+ dir=$1
+fi
+
+newdir=`echo $dir | sed -e "s:g:f:"`
+
+cd $dir
+
+set +e
+
+mv -i changes.netlib changes
+mv -i disclaimer.netlib disclaimer
+mv -i g2c.hin f2c.h
+mv -i permission.netlib permission
+mv -i readme.netlib readme
+cd libF77
+mv -i README.netlib README
+mv -i makefile.netlib makefile
+cd ../libI77
+mv -i README.netlib README
+mv -i makefile.netlib makefile
+cd ..
+
+cd ..
+
+mv -iv $dir $newdir